Issue #10948 has been updated by Usaku NAKAMURA.

Backport changed from 2.0.0: UNKNOWN, 2.1: UNKNOWN, 2.2: DONE to 2.0.0: DONTNEED, 2.1: DONTNEED, 2.2: DONE

----------------------------------------
Bug #10948: When cross-compiling Ruby 2.2.1 for Win32, securerandom.rb fails while trying to use Win32 native libraries
https://bugs.ruby-lang.org/issues/10948#change-52524

* Author: Aaron Stone
* Status: Closed
* Priority: Normal
* Assignee: Yui NARUSE
* ruby -v: 2.2.1
* Backport: 2.0.0: DONTNEED, 2.1: DONTNEED, 2.2: DONE
----------------------------------------
Between Ruby 2.1 and 2.2, lib/securerandom.rb was modified to assume that if /mswin|mingw/ =~ RUBY_PLATFORM then Win32 libraries are available. This is not true for a cross-compile environment, however. So the pre-Ruby-2.2 checks to use OpenSSL::Random need to be restored. 

The problem is further described in https://github.com/tjschuck/rake-compiler-dev-box/pull/20

A pull request is available at https://github.com/ruby/ruby/pull/848 based on the change suggested by @unak and verified by @sodabrew.



-- 
https://bugs.ruby-lang.org/